Bug 204258 - Review Request: mousepad - A simple text editor for Xfce
Review Request: mousepad - A simple text editor for Xfce
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-27 17:01 EDT by Kevin Fenzi
Modified: 2011-05-20 18:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 23:35:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2006-08-27 17:01:12 EDT
Spec URL: http://www.scrye.com/~kevin/extras/mousepad/mousepad.spec
SRPM URL: http://www.scrye.com/~kevin/extras/mousepad/mousepad-0.2.6-1.fc6.src.rpm
Description: 

Mousepad is a text editor for Xfce based on Leafpad. The initial reason for
Mousepad was to provide printing support, which would have been difficult
for Leafpad for various reasons.
Although some features are under development, currently Mousepad has folowing
features:
    * Complete support for UTF-8 text
    * Cut/Copy/Paste and Select All text
    * Search and Replace
    * Font selecton
    * Word Wrap
    * Character coding selection
    * Auto character coding detection (UTF-8 and some codesets)
    * Manual codeset setting
    * Infinite Undo/Redo by word
    * Auto Indent
    * Multi-line Indent
    * Display line numbers
    * Drag and Drop
    * Printing

NOTE: mousepad is included in the upcoming Xfce 4.4, but it builds fine with the existing Xfce 4.2 in devel/fc5.
Comment 1 Parag AN(पराग) 2006-08-31 08:07:58 EDT
{Not a official review}
packaging looks ok.
+ Mockbuild is successfull for i386 FC6 but suggests
*** Desktop database not updated. Remember to run:
***
***   update-desktop-database /usr/share/applications
***
More on that check at
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-de6770dd9867fcd085a73a4700f6bcd0d10294ef
desktop-database section

+ rpmlint on binary rpm is silent
+ dist tag is present
+ Buildroot is correct
+ source URL is correct
+ BR is correct
+ License used is GPL
+ License file COPYING is included
+ Desktop file is handled correctly
+ MD5 sum on tarball is matching upstream tarball
f8c23b1de6d23927729c477689883c38  mousepad-0.2.6.tar.bz2
+ No duplicate files
+ Desktop file handled correctly
Comment 2 Kevin Fenzi 2006-08-31 15:00:26 EDT
Thanks Parag. 

Updated to add 'update-desktop-database':

Spec URL: http://www.scrye.com/~kevin/extras/mousepad/mousepad.spec
SRPM URL: http://www.scrye.com/~kevin/extras/mousepad/mousepad-0.2.6-
2.fc6.src.rpm

Comment 3 Christoph Wickert 2006-08-31 16:17:58 EDT
I'd like to review this one.
Comment 4 Christoph Wickert 2006-09-02 19:54:10 EDT
REVIEW for
3e94740de010b2285fc8711336538fe6  mousepad-0.2.6-2.fc6.src.rpm

MUST items:
OK - rpmlint quite on all packages
OK - package meets naming guidelines
OK - spec file meets naming guidelines
OK - package meets package guidelines
OK - license open-source compatible (GPL)
OK - license in specfile matches actual license
OK - license included in %doc
OK - spec file in American English
OK - spec file is legible
OK - source in SRPM matches upstream source (md5 f8c23b1de6d23927729c477689883c38)
OK - package builds on i386
OK - all build dependencies listed BuildRequires
OK - none of the exceptions of packaging guidelines in BuildRequires
OK - locales handled correctly with %find_lang
OK - no shared libs
OK - package is not relocatable
OK - package owns all directories that it creates
OK - no duplicate files in %files section
OK - permissions and %defattr correct 
OK - clean section with "rm -rf $RPM_BUILD_ROOT" present
OK - macro usage consistent
OK - code, not content
OK - no large docs
OK - docs don't affect runtime
OK - no headers or static libs
OK - no pkgconfig files
OK - no libtool archives
OK - mousepad.desktop included and correctly installed
OK - package doesn't own files/directories owned by other packages

SHOULD items:
OK - package builds in mock (Core 5 and 6)
OK - package functions as described
OK - mime type correctly installed with scriptlet from wiki
OK - package uses disttag


APPROVED


Note: Don't forget
 Requires(post): desktop-file-utils
 Requires(postun): desktop-file-utils
if you are planning to build this for Core 4
Comment 5 Kevin Fenzi 2006-09-02 23:35:16 EDT
Thanks for the review.
Imported and built for devel. 
15890 (mousepad): Build on target fedora-development-extras succeeded.
Comment 6 Orion Poplawski 2011-05-20 11:38:51 EDT
Package Change Request
======================
Package Name: mousepad
New Branches: el6
Owners: kevin
InitialCC:
Comment 7 Kevin Fenzi 2011-05-20 18:23:54 EDT
We agreed to not do this one at this time.

Note You need to log in before you can comment on or make changes to this bug.